<?xml version="1.0" encoding="UTF-8"?>
<!--Mit XMLSpy v2010 rel. 3 sp1 (http://www.altova.com) von Martin Stingelin (Stingelin Informatik GmbH) bearbeitet--><!--edited with XMLSpy v2012 rel. 2 sp1 (http://www.altova.com) by Martin Stingelin (Stingelin Informatik GmbH)--><!--edited with XMLSPY v2004 rel. 3 U (http://www.xmlspy.com) by BITUSER (Bundesamt für Informatik und Telekommunikation)--><xs:schema targetNamespace="http://www.ech.ch/xmlns/eCH-0010/5" elementFormDefault="qualified" attributeFormDefault="unqualified" version="5.1" xmlns:eCH-0010="http://www.ech.ch/xmlns/eCH-0010/5" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:annotation>
    <xs:documentation xml:lang="de">Ausgabedatum: 01.05.2013</xs:documentation>
  </xs:annotation>
  <xs:complexType name="mailAddressType">
    <xs:sequence>
      <xs:choice>
        <xs:element name="organisation" type="eCH-0010:organisationMailAddressInfoType"/>
        <xs:element name="person" type="eCH-0010:personMailAddressInfoType"/>
      </xs:choice>
      <xs:element name="addressInformation" type="eCH-0010:addressInformationType"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="personMailAddressType">
    <xs:sequence>
      <xs:element name="person" type="eCH-0010:personMailAddressInfoType"/>
      <xs:element name="addressInformation" type="eCH-0010:addressInformationType"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="personMailAddressInfoType">
    <xs:sequence>
      <xs:element name="mrMrs" type="eCH-0010:mrMrsType" minOccurs="0"/>
      <xs:element name="title" type="eCH-0010:titleType" minOccurs="0"/>
      <xs:element name="firstName" type="eCH-0010:firstNameType" minOccurs="0"/>
      <xs:element name="lastName" type="eCH-0010:lastNameType"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="organisationMailAddressType">
    <xs:sequence>
      <xs:element name="organisation" type="eCH-0010:organisationMailAddressInfoType"/>
      <xs:element name="addressInformation" type="eCH-0010:addressInformationType"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="organisationMailAddressInfoType">
    <xs:sequence>
      <xs:element name="organisationName" type="eCH-0010:organisationNameType"/>
      <xs:element name="organisationNameAddOn1" type="eCH-0010:organisationNameType" minOccurs="0"/>
      <xs:element name="organisationNameAddOn2" type="eCH-0010:organisationNameType" minOccurs="0"/>
      <xs:element name="mrMrs" type="eCH-0010:mrMrsType" minOccurs="0"/>
      <xs:element name="title" type="eCH-0010:titleType" minOccurs="0"/>
      <xs:element name="firstName" type="eCH-0010:firstNameType" minOccurs="0"/>
      <xs:element name="lastName" type="eCH-0010:lastNameType" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="addressInformationType">
    <xs:sequence>
      <xs:element name="addressLine1" type="eCH-0010:addressLineType" minOccurs="0"/>
      <xs:element name="addressLine2" type="eCH-0010:addressLineType" minOccurs="0"/>
      <xs:sequence minOccurs="0">
        <xs:element name="street" type="eCH-0010:streetType"/>
        <xs:element name="houseNumber" type="eCH-0010:houseNumberType" minOccurs="0"/>
        <xs:element name="dwellingNumber" type="eCH-0010:dwellingNumberType" minOccurs="0"/>
      </xs:sequence>
      <xs:sequence minOccurs="0">
        <xs:element name="postOfficeBoxNumber" type="eCH-0010:postOfficeBoxNumberType" minOccurs="0"/>
        <xs:element name="postOfficeBoxText" type="eCH-0010:postOfficeBoxTextType"/>
      </xs:sequence>
      <xs:element name="locality" type="eCH-0010:localityType" minOccurs="0"/>
      <xs:element name="town" type="eCH-0010:townType"/>
      <xs:choice>
        <xs:sequence>
          <xs:element name="swissZipCode" type="eCH-0010:swissZipCodeType"/>
          <xs:element name="swissZipCodeAddOn" type="eCH-0010:swissZipCodeAddOnType" minOccurs="0"/>
          <xs:element name="swissZipCodeId" type="eCH-0010:swissZipCodeIdType" minOccurs="0"/>
        </xs:sequence>
        <xs:element name="foreignZipCode" type="eCH-0010:foreignZipCodeType" minOccurs="0"/>
      </xs:choice>
      <xs:element name="country" type="eCH-0010:countryIdIso2Type"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="swissAddressInformationType">
    <xs:sequence>
      <xs:element name="addressLine1" type="eCH-0010:addressLineType" minOccurs="0"/>
      <xs:element name="addressLine2" type="eCH-0010:addressLineType" minOccurs="0"/>
      <xs:sequence minOccurs="0">
        <xs:element name="street" type="eCH-0010:streetType"/>
        <xs:element name="houseNumber" type="eCH-0010:houseNumberType" minOccurs="0"/>
        <xs:element name="dwellingNumber" type="eCH-0010:dwellingNumberType" minOccurs="0"/>
      </xs:sequence>
      <xs:element name="locality" type="eCH-0010:localityType" minOccurs="0"/>
      <xs:element name="town" type="eCH-0010:townType"/>
      <xs:sequence>
        <xs:element name="swissZipCode" type="eCH-0010:swissZipCodeType"/>
        <xs:element name="swissZipCodeAddOn" type="eCH-0010:swissZipCodeAddOnType" minOccurs="0"/>
        <xs:element name="swissZipCodeId" type="eCH-0010:swissZipCodeIdType" minOccurs="0"/>
      </xs:sequence>
      <xs:element name="country">
        <xs:simpleType>
          <xs:restriction base="eCH-0010:countryIdIso2Type"/>
        </xs:simpleType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="organisationNameType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="60"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="mrMrsType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="1"/>
      <xs:enumeration value="2"/>
      <xs:enumeration value="3"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="titleType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="50"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="firstNameType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="30"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="lastNameType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="30"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="addressLineType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="60"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="streetType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="60"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="houseNumberType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="12"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="dwellingNumberType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="10"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="postOfficeBoxNumberType">
    <xs:restriction base="xs:unsignedInt">
      <xs:maxInclusive value="99999999"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="postOfficeBoxTextType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="15"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="swissZipCodeType">
    <xs:restriction base="xs:unsignedInt">
      <xs:minInclusive value="1000"/>
      <xs:maxInclusive value="9999"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="swissZipCodeAddOnType">
    <xs:restriction base="xs:string">
      <xs:maxLength value="2"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="swissZipCodeIdType">
    <xs:restriction base="xs:int"/>
  </xs:simpleType>
  <xs:simpleType name="foreignZipCodeType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="15"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="localityType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="40"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="townType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="40"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="countryIdIso2Type">
    <xs:restriction base="xs:token">
      <xs:maxLength value="2"/>
      <xs:minLength value="1"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:element name="personMailAddress" type="eCH-0010:personMailAddressType"/>
  <xs:element name="organisationMailAdress" type="eCH-0010:organisationMailAddressType"/>
  <xs:element name="mailAddress" type="eCH-0010:mailAddressType"/>
</xs:schema>